#!/bin/bash
sort -r ${1} | uniq -u > ${1}.tmp
NB_ORG=$(grep -v -c "^>" ${1} )
NB_UNI=$(grep -v -c "^>" ${1}.tmp )
echo "0" > $2
let ti=$((1000*$4))
if [[ -s ${1}.tmp ]] ; then
#    timeout ${4} ./fimcp_standard -datafile ${1}.tmp -solfile $2 -freq $3 -output full
    ./fimcp_standard -datafile ${1}.tmp -solfile $2.tmp -freq $3 -output full -time ${ti} &> ${1}.log
    grep -c "reason: time limit reached" ${1}.log > $2
    NB_FOU=$(grep -v -c "^>" ${2}.tmp )
    sort -k 3 -t$'\t' ${2}.tmp >> ${2}
    rm ${1}.tmp ${2}.tmp
fi
echo "Mining $1 with freq $3 originally $NB_ORG unique $NB_UNI found $NB_FOU in max ${ti} ms..."